%global commit 338f33f77a5f69f00271fadcfbc900c9d19df0df
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-modello
Version:        0.16.0
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        M2E Modello connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-modello/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-modello/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(slf4j.api)

%description
This package provides Modello connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-modello-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.modello.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.modello.feature/license.html

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.4.git338f33f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.3.git338f33f
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git338f33f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.1.git338f33f
- Initial commit
